summaryrefslogtreecommitdiff
path: root/games-simulation/simutrans
diff options
context:
space:
mode:
authoreroen2014-12-20 17:44:05 +0100
committereroen2014-12-21 21:45:00 +0100
commitde575d9600560b0f8059fa9211d6462d46d5d9b4 (patch)
treede77957a20911821f80528cf25a76bd59c289d35 /games-simulation/simutrans
parentc74ac5421c36af4a40bc4a557ff78e307b7939a0 (diff)
downloaderoen-overlay-de575d9600560b0f8059fa9211d6462d46d5d9b4.tar.gz
eroen-overlay-de575d9600560b0f8059fa9211d6462d46d5d9b4.tar.bz2
eroen-overlay-de575d9600560b0f8059fa9211d6462d46d5d9b4.tar.xz
simutrans-0.112.3 from gentoo
Diffstat (limited to 'games-simulation/simutrans')
-rw-r--r--games-simulation/simutrans/Manifest3
-rw-r--r--games-simulation/simutrans/files/simutrans-0.112.3-Makefile.patch96
-rw-r--r--games-simulation/simutrans/files/simutrans-0.112.3-overflow.patch11
-rw-r--r--games-simulation/simutrans/metadata.xml4
-rw-r--r--games-simulation/simutrans/simutrans-0.112.3.ebuild62
5 files changed, 176 insertions, 0 deletions
diff --git a/games-simulation/simutrans/Manifest b/games-simulation/simutrans/Manifest
new file mode 100644
index 00000000..aea54f11
--- /dev/null
+++ b/games-simulation/simutrans/Manifest
@@ -0,0 +1,3 @@
+DIST simulinux-112-3.zip 3071766 SHA256 2ca8375b44b433e7034dd17515d1f8319d4a04e18960d0d8c828cf7603199e92 SHA512 9e051989761d0c469b070af99b95ad04f1f96e85513664d5ff13b564404bed579217d90f92e5e80069288d0e5db0887a1f1ca9a62250895a58f63ad592d62e7c WHIRLPOOL f2a844e981ec4db115ef9e36e18e8bce8f494063d4d3d1e13e56c9837c382d6559954ef2002e26a40accf82da088aa5cd91001ac7f834134f50472840692b920
+DIST simupak64-112-3.zip 4117394 SHA256 dc443d9ddc1f36e10435f672a03f86d4ad83e33926045b14664f6d2580b56e8b SHA512 7e5997efb52c36a1871e25ca3f278088aa5450f6ba4abb447dd3881438bda4473571166b79719cb8b5879f878538e74c5375683b8d76ddbdd5c575de690c44a9 WHIRLPOOL aa92bd5882827e6c1cb54a99bf92ff6251c31fb37072457b802d499e47e3b3ea5ff52592e56d04d71c6e1e8b2588c57c195793233a0b5322247651a2a3b02d6a
+DIST simutrans-src-112-3.zip 1677347 SHA256 8aa9ded7ac65587d65070b950b50f4094b7f77d33d263d1b821a0fe9f214b849 SHA512 0d63da8bed2298dd4516caea748a10c7c27eec2fb00ced9c76600ec93a975a01efa0fe7b4c8f8a5dc9e035b8c1dcf1f7772dfec54594f41efb8c4790d4da99e9 WHIRLPOOL 7ed9310d49339421fed2c4ca8098f21d367de7ad2d933d1d56d5c25542995657f1a98b34066464fbf916ffa4903338bd519fd1e15437017d7899bc2b4c4466f1
diff --git a/games-simulation/simutrans/files/simutrans-0.112.3-Makefile.patch b/games-simulation/simutrans/files/simutrans-0.112.3-Makefile.patch
new file mode 100644
index 00000000..3becef9a
--- /dev/null
+++ b/games-simulation/simutrans/files/simutrans-0.112.3-Makefile.patch
@@ -0,0 +1,96 @@
+--- Makefile.orig 2013-05-28 17:58:03.379228527 -0400
++++ Makefile 2013-05-28 17:58:24.768491369 -0400
+@@ -88,8 +88,6 @@
+ endif
+ endif
+ endif
+-else
+- CFLAGS += -O
+ endif
+
+ ifdef DEBUG
+@@ -108,6 +106,7 @@
+ endif
+ else
+ CFLAGS += -DNDEBUG
++ CXXFLAGS += -DNDEBUG
+ endif
+
+ ifneq ($(PROFILE),)
+@@ -120,6 +119,7 @@
+
+ ifneq ($(MULTI_THREAD),)
+ CFLAGS += -DMULTI_THREAD=$(MULTI_THREAD)
++ CXXFLAGS += -DMULTI_THREAD=$(MULTI_THREAD)
+ ifneq ($(MULTI_THREAD),1)
+ ifeq ($(OSTYPE),mingw)
+ #use lpthreadGC2d for debug alternatively
+@@ -134,10 +134,12 @@
+ REV = $(shell svnversion)
+ ifneq ($(REV),)
+ CFLAGS += -DREVISION="$(REV)"
++ CXXFLAGS += -DREVISION="$(REV)"
+ endif
+ endif
+
+ CFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
++CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
+ CCFLAGS += -Wstrict-prototypes
+
+
+@@ -456,6 +458,7 @@
+ ifeq ($(BACKEND),sdl)
+ SOURCES += simsys_s.cc
+ CFLAGS += -DUSE_16BIT_DIB
++ CXXFLAGS += -DUSE_16BIT_DIB
+ ifeq ($(OSTYPE),mac)
+ # Core Audio (Quicktime) base sound system routines
+ SOURCES += sound/core-audio_sound.mm
+@@ -488,6 +491,7 @@
+ endif
+ endif
+ CFLAGS += $(SDL_CFLAGS)
++ CXXFLAGS += $(SDL_CFLAGS)
+ LIBS += $(SDL_LDFLAGS)
+ endif
+
+@@ -497,6 +501,7 @@
+ SOURCES += sound/sdl_mixer_sound.cc
+ SOURCES += music/sdl_midi.cc
+ CFLAGS += -DUSE_16BIT_DIB
++ CXXFLAGS += -DUSE_16BIT_DIB
+ ifeq ($(SDL_CONFIG),)
+ SDL_CFLAGS := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
+ SDL_LDFLAGS := -lmingw32 -lSDLmain -lSDL
+@@ -511,6 +516,7 @@
+ endif
+ endif
+ CFLAGS += $(SDL_CFLAGS)
++ CXXFLAGS += $(SDL_CFLAGS)
+ LIBS += $(SDL_LDFLAGS) -lSDL_mixer
+ endif
+
+@@ -544,6 +550,7 @@
+ endif
+ endif
+ CFLAGS += $(SDL_CFLAGS)
++ CXXFLAGS += $(SDL_CFLAGS)
+ LIBS += $(SDL_LDFLAGS) -lglew32
+ ifeq ($(OSTYPE),mingw)
+ LIBS += -lopengl32
+@@ -559,6 +566,7 @@
+ endif
+
+ CFLAGS += -DCOLOUR_DEPTH=$(COLOUR_DEPTH)
++CXXFLAGS += -DCOLOUR_DEPTH=$(COLOUR_DEPTH)
+
+ ifneq ($(findstring $(OSTYPE), cygwin mingw),)
+ SOURCES += simres.rc
+@@ -566,7 +574,6 @@
+ endif
+
+ CCFLAGS += $(CFLAGS)
+-CXXFLAGS += $(CFLAGS)
+
+ BUILDDIR ?= build/$(CFG)
+ PROGDIR ?= $(BUILDDIR)
diff --git a/games-simulation/simutrans/files/simutrans-0.112.3-overflow.patch b/games-simulation/simutrans/files/simutrans-0.112.3-overflow.patch
new file mode 100644
index 00000000..6597ca07
--- /dev/null
+++ b/games-simulation/simutrans/files/simutrans-0.112.3-overflow.patch
@@ -0,0 +1,11 @@
+--- besch/reader/obj_reader.cc.orig 2013-01-22 17:22:02.509818038 -0500
++++ besch/reader/obj_reader.cc 2013-01-22 17:22:58.650846577 -0500
+@@ -308,7 +308,7 @@
+ void obj_reader_t::skip_nodes(FILE *fp,uint32 version)
+ {
+ obj_node_info_t node;
+- char load_dummy[OBJ_NODE_INFO_SIZE], *p;
++ char load_dummy[OBJ_NODE_INFO_SIZE + 4], *p; // extra 4 for LARGE_RECORD_SIZE
+
+ p = load_dummy;
+ if( version==COMPILER_VERSION_CODE_11 ) {
diff --git a/games-simulation/simutrans/metadata.xml b/games-simulation/simutrans/metadata.xml
new file mode 100644
index 00000000..097975e3
--- /dev/null
+++ b/games-simulation/simutrans/metadata.xml
@@ -0,0 +1,4 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+</pkgmetadata>
diff --git a/games-simulation/simutrans/simutrans-0.112.3.ebuild b/games-simulation/simutrans/simutrans-0.112.3.ebuild
new file mode 100644
index 00000000..c4974719
--- /dev/null
+++ b/games-simulation/simutrans/simutrans-0.112.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit flag-o-matic eutils games
+
+MY_PV=${PV/0./}
+MY_PV=${MY_PV//./-}
+DESCRIPTION="A free Transport Tycoon clone"
+HOMEPAGE="http://www.simutrans.com/"
+SRC_URI="mirror://sourceforge/simutrans/simutrans-src-${MY_PV}.zip
+ mirror://sourceforge/simutrans/simulinux-${MY_PV}.zip
+ mirror://sourceforge/simutrans/simupak64-${MY_PV}.zip"
+
+LICENSE="Artistic"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND="media-libs/libsdl[sound,video]
+ sys-libs/zlib
+ app-arch/bzip2
+ media-libs/libpng:0
+ media-libs/sdl-mixer"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S=${WORKDIR}
+
+src_prepare() {
+ strip-flags # bug #293927
+ echo "BACKEND=mixer_sdl
+COLOUR_DEPTH=16
+OSTYPE=linux
+VERBOSE=1" > config.default || die
+
+ if use !x86 ; then
+ echo "FLAGS+= -DUSE_C" >> config.default || die
+ fi
+ # make it look in the install location for the data
+ sed -i \
+ -e "s:argv\[0\]:\"${GAMES_DATADIR}/${PN}/\":" \
+ simmain.cc || die
+
+ epatch \
+ "${FILESDIR}"/${P}-Makefile.patch \
+ "${FILESDIR}"/${P}-overflow.patch
+ rm -f simutrans/{simutrans,*.txt}
+ mv simutrans/get_pak.sh "${T}" || die
+}
+
+src_install() {
+ newgamesbin build/default/sim ${PN}
+ dogamesbin "${T}"/get_pak.sh
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r simutrans/*
+ dodoc documentation/*
+ doicon simutrans.ico
+ make_desktop_entry simutrans Simutrans /usr/share/pixmaps/simutrans.ico
+ prepgamesdirs
+}